<!DOCTYPE html>
<html>
	<head>
		<meta charset="UTF-8">
	</head>
	<body>
		<div class="common_content_nav">您所在位置 > <a href="#">转发记录管理</a></div>
		<div class="common_content_title">转发记录管理</div>
		<div class="seach_form_box box_shadow border5 clearfix">
			<div class="find_form">
				<form id="couponInstanceRelayForm" method="post">
					<ul class="clearfix">
						<li>
							<div>
								<span>转出人编号:</span>
								<input class="form-control" type="text" name="srcCode"></input>
							</div>
						</li>
						<li>
							<div>
								<span>接收人编号:</span>
								<input class="form-control" type="text" name="getCode"></input>
							</div>
						</li>
						<li>
							<div>
								<span>转出时间:</span>
								<input id="createTimeStart" name="createTimeStart" size="16" type="text" class="Wdate date_input" 
								onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
							</div>
						</li>
						<li>
							<div>
								<span>至</span>
								<input id="createTimeEnd" name="createTimeEnd" size="16" type="text" class="Wdate date_input" 
								onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
							</div>
						</li>
						<li>
							<div style="width: 230px;">
								<span>状态:</span>
								<input type="hidden" name="statusId" id="statusId" value="1" />
								<input size="16" type="text" class="form-control" value="转发中" input-type="select" readonly>
								<ul class="dropdown-menu" data="$.Relay_Status"></ul>
								<i class="input_icon input_down"></i>
							</div>
						</li>
					</ul>
					<ul class="clearfix">
						<li>
							<div>
								<span>优惠券名称:</span>
								<input class="form-control" type="text" name="couponName"></input>
							</div>
						</li>
						<li>
							<div>
								<span>优惠券编号:</span>
								<input class="form-control" type="text" name="couponCode"></input>
							</div>
						</li>
						<li>
							<div>
								<span>接收时间:</span>
								<input id="startGetTime" name="startGetTime" size="16" type="text" class="Wdate date_input" 
								onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
							</div>
						</li>
						<li>
							<div>
								<span>至</span>
								<input id="endGetTime" name="endGetTime" size="16" type="text" class="Wdate date_input" 
								onfocus="WdatePicker({dateFmt:'yyyy-MM-dd',alwaysUseStartDate:true})" value="" readonly>
							</div>
						</li>	
					</ul>
					<button id="seachRelay" type="button" class="btn common_content_seacch_btn"></button>
				</form>
			</div>
		</div>
		<div class="common_content_btnList clearfix">
			<button id="rollbackBtn" type="button" class="btn btn-success btn-block">退回</button>
		</div>
		<div class="common_content_table box_shadow border10">
			<table id="couponInstanceRelayTable" class="easyui-datagrid" style="width:100%;height:400px" data-options="pagination:true,method:'post',singleSelect:true">
				<thead>
					<tr>
						<th data-options="field:'couponInstanceId',checkbox:true">选择</th>
						<th data-options="field:'couponName',width:200,align:'center',halign:'center'">优惠券名称</th>
						<th data-options="field:'couponCode',width:200,align:'center',halign:'center'">优惠券编号</th>
						<th data-options="field:'srcId',hidden:true"></th>
						<th data-options="field:'srcCode',width:200,align:'center',halign:'center'">转出人编号</th>
						<th data-options="field:'getCode',width:100,align:'center',halign:'center'">接收人编号</th>
						<th data-options="field:'createTime',width:150,align:'center',halign:'center'
						,formatter : function(value, row, index) {return getDateString(value);}">转出时间</th>
						<th data-options="field:'getTime',width:150,align:'center',halign:'center'
						,formatter : function(value, row, index) {return getDateString(value);}">接收时间</th>
						<th data-options="field:'rollbackDate',width:150,align:'center',halign:'center'
						,formatter : function(value, row, index) {return getDateString(value);}">退回时间</th>
						<th data-options="field:'expireDate',width:150,align:'center',halign:'center'
						,formatter : function(value, row, index) {return getDateString(value);}">过期日期</th>
						<th data-options="field:'statusId',width:150,align:'center',halign:'center'
							,formatter : function(value, row, index) {return $.Coupon_Instance_Status.getText(value);}">优惠券实例状态</th>
					</tr>
				</thead>
			</table>
		</div>
		<script type="text/javascript">
			$(function() {
				require(['view/coupon/couponInstanceRelay'], function(re) {
					re.init();
				});
			});
		</script>
	</body>

</html>